| Home | Libraries | People | FAQ | More

#### boost::mqtt5::will

Represents the Will Message.

##### Synopsis

Defined in header `<boost/mqtt5/types.hpp>`

    class will
        : public will_props;

##### Member Functions

Name | Description
--- | ---
message | Get the Application Message.
qos | Get the `qos_e`.
retain | Get the `retain_e`.
topic | Get the Topic Name.
will [constructor] | Constructs an empty Will Message. — Construct a Will Message.

##### Description

A Will Message is an Application Message that the Broker should publish after the Network Connection is closed in cases where the Network Connection is not closed normally.

Convenience header `<boost/mqtt5.hpp>`